# Turn Counters Plugin

This unofficial TaleSpire plugin provides custom turn counters which can be used to track effects that last a set
number of turns. Configuration allows the specification of how may counters, if the are increasing or decreasing
counters, and allows either counters that retain their values though sessions or reset.

This plugin, like all others, is free but if you want to donate, use: http://LordAshes.ca/TalespireDonate/Donate.php

## Change Log

```
1.1.0: Updated for compatibility with BR Talewaver update
1.0.0: Initial release
```

## Install

Use R2ModMan or similar installer to install this plugin.

## Configuration

In order to use this plugin you need to configure the desired counters. The plugin comes with a sample configuration:
```
  [
    {
      "name": "Turn",
      "value": 0,
      "step":  1,
	  "reset": true
    },
    {
      "name": "Bladesong",
      "value": 0,
      "step":  1
    },
    {
      "name": "Haste",
      "value": 10,
      "step": -1
    }
  ]
```
Each entry in the main counters array provides information about a counter. Each counter has 4 properties one of which
(reset) is optional.

``name`` indicates the name that will be displayed beside the counter.
``value`` indicates the starting value.
``step`` indicates by how much the counter changes after the rounds comes back to the characters turn. Typically -1 or 1.
``reset`` indicates if the counter resets with each game session (true) or continues with its last value (false).
The reset property defaults to false if not set.

The configuration file must be named ``org.lordashes.plugins.turncounters.json``.

You can also configure the position, size, color, and spaceing of the counters in the Config for the plugin.

## Usage

### Setup

When the session starts, select your mini and press the Sync key. This tells the plugin when to adjust the counters.

Default: ``Home``

### Counter Change By Turn

Each time the synced mini starts its turn the counters get adjusted.

Counters that decrease to 0 remain at 0. Counters that increase can increase indefinitly.

### Manual Counter Adjustment

The counter value can be adjusted by editing the counter text box. Only numeric entries are accepted.

The counter name can also be clicked to rename the counter.

Counters that have the reset property set to true also reset their name at the start of the session.